<div class="row">
    <div class="col-xs-12">
        <button class="btn btn-success" (click)="onNewRecipe()"> New recipe</button>
    </div>
</div>
<hr>


<div class="row">
    <div class="col-xs-12">
        <a href="#" class="list-group-item clearfix" *ngFor="let recipe of recipes">
            <div class="pull-left">
                <h4 class="list-group-item-heading"> {{recipe.name}} </h4>
                <p class="list-group-item-text">{{recipe.description}}</p>
            </div>
            <span class="pull-right">
                <img [src]="recipe.imagePath" alt="{{recipe.name}}" class="img-responsive" style="max-height: 50px;">
            </span>
        </a>
        <app-recipe-item></app-recipe-item>
    </div>
</div>
<!-- 
<div class="card-group">
    <div class="row">
        <div class="col-xs-12">
            <a href="#" class="list-group-item clearfix" *ngFor="let recipe of recipes">
                <div class="card" style="width: 18rem;">
                    <img class="card-img-top" [src]="recipe.imagePath" alt="{{recipe.name}}">
                    <div class="card-body">
                        <h5 class="card-title">{{recipe.name}}</h5>
                        <p class="card-text">{{recipe.description}}</p>
                        <a href="#" class="btn btn-primary">Go somewhere</a>
                    </div>
                </div>
            </a>
        </div>
    </div>
</div>


<div class="card-deck">
    <div class="card" *ngFor="let recipe of recipes">
        <img class="card-img-top" [src]="recipe.imagePath" alt="{{recipe.name}}">
        <div class="card-body">
            <h5 class="card-title">{{recipe.name}} </h5>
            <p class="card-text">{{recipe.description}}</p>
            <p class="card-text"><small class="text-muted">{{recipe.date}}</small></p>
        </div>
    </div>
</div> -->